Improve this Doc View Source

Use the `$locationProvider` to configure how the application deep linking paths are stored.

## Methods

- ###

  `hashPrefix([prefix]);`

  #### Parameters

  Param | Type | Details
  --- | --- | ---
  prefix (optional) | string | Prefix for hash part (containing path and search)

  #### Returns

  * | current value if used as getter or itself (chaining) if used as setter

- ###

  `html5Mode([mode]);`

  #### Parameters

  Param | Type | Details
  --- | --- | ---

  mode
  (optional)

  boolean Object

  If boolean, sets `html5Mode.enabled` to value. If object, sets `enabled`, `requireBase` and `rewriteLinks` to respective values. Supported properties:
  - enabled – `{boolean}` – (default: false) If true, will rely on `history.pushState` to change urls where supported. Will fall back to hash-prefixed paths in browsers that do not support `pushState`.
  - requireBase - `{boolean}` - (default: `true`) When html5Mode is enabled, specifies whether or not a tag is required to be present. If `enabled` and `requireBase` are true, and a base tag is not present, an error will be thrown when `$location` is injected. See the $location guide for more information
  - rewriteLinks - `{boolean}` - (default: `true`) When html5Mode is enabled, enables/disables url rewriting for relative links.

  #### Returns

  Object | html5Mode object if used as getter or itself (chaining) if used as setter